import { json } from "@sveltejs/kit";
import type { RequestHandler } from "./$types";
import { putObject } from "$lib/helpers/minio";
import { generateImage } from "$lib/helpers/stability";

export const GET: RequestHandler = async () => {

  const prompt = `golden brown rectangular picture frame, filled with pure red color, Charles Vess, opulence, mystery, elegance`;
  const negativePrompt = "blurry, persons, figure"

  const a = performance.now()
  const image = await generateImage(prompt, negativePrompt);
  const duration = performance.now() - a;

  console.log({ duration })

  const imageName = `${image.seed}-frame.png`

  const res = await putObject(imageName, Buffer.from(image.base64, 'base64'), { "Content-Type": "image/png" });

  return json({
    ...res,
    url: `https://s3.app.max-richter.dev/silvester23/${imageName}`
  })
}
